Menu

## ReedSolomonEncoder
in package

ReedSolomonEncoder.php : 20

ISO/IEC 18004:2000 Section 8.5 ff

##### Tags

see
  http://www.thonky.com/qr-code-tutorial/error-correction-coding

### Table of Contents

$interleavedData : array<string|int, mixed>
$interleavedDataIndex : int
interleaveEcBytes() : array<string|int, mixed>
  ECC interleaving
generateEcBytes() : array<string|int, mixed>
interleave() : void

### Properties

#### $interleavedData

ReedSolomonEncoder.php : 22
`private array<string|int, mixed> $interleavedData`

#### $interleavedDataIndex

ReedSolomonEncoder.php : 23
`private int $interleavedDataIndex`

### Methods

#### interleaveEcBytes()

ReedSolomonEncoder.php : 30

ECC interleaving

`public interleaveEcBytes(BitBuffer $bitBuffer, Version $version, EccLevel $eccLevel) : array<string|int, mixed>`

##### Parameters

$bitBuffer : BitBuffer
$version : Version
$eccLevel : EccLevel

##### Tags

throws
  QRCodeException

##### Return values

array<string|int, mixed> —

#### generateEcBytes()

ReedSolomonEncoder.php : 75
`private generateEcBytes(array<string|int, mixed> $dataBytes, int $ecByteCount) : array<string|int, mixed>`

##### Parameters

$dataBytes : array<string|int, mixed>
$ecByteCount : int

##### Return values

array<string|int, mixed> —

#### interleave()

ReedSolomonEncoder.php : 103
`private interleave(array<string|int, mixed> $byteArray, int $maxBytes, int $numRsBlocks) : void`

##### Parameters

$byteArray : array<string|int, mixed>
$maxBytes : int
$numRsBlocks : int

##### Return values

void —

## Search results